Bug 109364 - [WK2] Fix build on PLUGIN_ARCHITECTURE(UNSUPPORTED) after r142314
Summary: [WK2] Fix build on PLUGIN_ARCHITECTURE(UNSUPPORTED) after r142314
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 14:31 PST by Zoltan Arvai
Modified: 2013-02-12 10:24 PST (History)
5 users (show)

See Also:


Attachments
patch for landing (1.23 KB, patch)
2013-02-09 14:35 PST, Zoltan Arvai
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Arvai 2013-02-09 14:31:05 PST
After r142314 QtWin build is broken. 

void NetscapePlugin::platformPreInitialize() is need to be added to WebKit2/WebProcess/Plugins/Netscape/NetscapePluginNone.cpp

Patch is on the way.
Comment 1 Zoltan Arvai 2013-02-09 14:35:12 PST
Created attachment 187446 [details]
patch for landing
Comment 2 WebKit Review Bot 2013-02-10 00:38:25 PST
Comment on attachment 187446 [details]
patch for landing

Clearing flags on attachment: 187446

Committed r142390: <http://trac.webkit.org/changeset/142390>
Comment 3 WebKit Review Bot 2013-02-10 00:38:28 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Anders Carlsson 2013-02-11 10:51:02 PST
What is PLUGIN_ARCHITECTURE(UNSUPPORTED)? We already have an #ifdef for turning on/off plug-in support.
Comment 5 Zoltan Arvai 2013-02-12 01:42:55 PST
Maybe plugin api is enabled for Qt but not supported on Windows?
#if ENABLE(NETSCAPE_PLUGIN_API) && PLUGIN_ARCHITECTURE(UNSUPPORTED)

This bug seems to be related:
https://bugs.webkit.org/show_bug.cgi?id=86577

(In reply to comment #4)
> What is PLUGIN_ARCHITECTURE(UNSUPPORTED)? We already have an #ifdef for turning on/off plug-in support.
Comment 6 Anders Carlsson 2013-02-12 10:24:03 PST
(In reply to comment #5)
> Maybe plugin api is enabled for Qt but not supported on Windows?
> #if ENABLE(NETSCAPE_PLUGIN_API) && PLUGIN_ARCHITECTURE(UNSUPPORTED)
> 

Why is it enabled on Windows then?